aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]  (Read 3836 times)

Bishop79

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 7
aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« on: February 04, 2006, 03:36:17 PM »

Hi @ll  8)

I have a big problem with amule....

Take a look please.  :]

----------------------------=| BACKTRACE FOLLOWS: |=----------------------------Current version is: aMule 2.1.0 using wxGTK2 v2.6.2 (Unicoded)
Running on: Linux 2.6.8-2-386 i686

[2] ?? in amule [0x8075881]
[3] wxFatalSignalHandler in /usr/lib/libwx_baseu-2.6.so.0[0x4067f278]
[4] ?? in [0xffffe420]
[5] ?? in amule [0x8259c99]
[6] ?? in amule [0x8232e5e]
[7] ?? in amule [0x823c200]
[8] ?? in amule [0x826878d]
[9] ?? in amule [0x8250951]
[10] ?? in amule [0x824db0c]
[11] ?? in amule [0x8254535]
[12] ?? in amule [0x823bbee]
[13] ?? in amule [0x824e5e3]
[14] ?? in amule [0x82475d7]
[15] ?? in amule [0x809c088]
[16] ?? in amule [0x824147d]
[17] ?? in amule [0x8225c47]
[18] ?? in amule [0x8093e3c]
[19] ?? in amule [0x8084218]
[20] ?? in amule [0x80844e8]
[21] ?? in amule [0x80aa74d]
[22] ?? in amule [0x80ad748]
[23] ?? in amule [0x80cdafe]
[24] ?? in amule [0x80acdab]
[25] ?? in amule [0x80a29a7]
[26] wxAppConsole::HandleEvent(wxEvtHandler*, void (wxEvtHandler::*)(wxEvent&), wxEvent&) const in /usr/lib/libwx_baseu-2.6.so.0[0x405c3d98]
[27] wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) in /usr/lib/libwx_baseu-2.6.so.0[0x40678a90]
[28] wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*) in /usr/lib/libwx_baseu-2.6.so.0[0x40677edf]
[29] wxEvtHandler::ProcessEvent(wxEvent&) in /usr/lib/libwx_baseu-2.6.so.0[0x40678c30]
[30] wxEvtHandler::ProcessPendingEvents() in /usr/lib/libwx_baseu-2.6.so.0[0x406789c6]
[31] wxAppConsole::ProcessPendingEvents() in /usr/lib/libwx_baseu-2.6.so.0[0x405c3d06]
[32] wxAppBase::OnIdle(wxIdleEvent&) in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x403545a5]
[33] wxAppConsole::HandleEvent(wxEvtHandler*, void (wxEvtHandler::*)(wxEvent&), wxEvent&) const in /usr/lib/libwx_baseu-2.6.so.0[0x405c3d98]
[34] wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) in /usr/lib/libwx_baseu-2.6.so.0[0x40678a90]
[35] wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*) in /usr/lib/libwx_baseu-2.6.so.0[0x40677edf]
[36] wxEvtHandler::ProcessEvent(wxEvent&) in /usr/lib/libwx_baseu-2.6.so.0[0x40678c30]
[37] wxAppBase::ProcessIdle() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x40354467]
[38] ?? in /usr/lib/libwx_gtk2u_core-2.6.so.0 [0x402a3a8d]
[39] ?? in /usr/lib/libglib-2.0.so.0 [0x40d4c583]
[40] ?? in /usr/lib/libglib-2.0.so.0 [0x40d49582]
[41] g_main_context_dispatch in /usr/lib/libglib-2.0.so.0[0x40d4a5f8]
[42] ?? in /usr/lib/libglib-2.0.so.0 [0x40d4a930]
[43] g_main_loop_run in /usr/lib/libglib-2.0.so.0[0x40d4aed3]
[44] gtk_main in /usr/lib/libgtk-x11-2.0.so.0[0x40a29bb3]
[45] wxEventLoop::Run() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x402bee88]
[46] wxAppBase::MainLoop() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x40354073]
[47] wxAppBase::OnRun() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x403541da]
[48] wxEntry(int&, wchar_t**) in /usr/lib/libwx_baseu-2.6.so.0[0x4060e01e]
[49] wxEntry(int&, char**) in /usr/lib/libwx_baseu-2.6.so.0[0x4060e11d]
[50] ?? in amule [0x8155b20]
[51] __libc_start_main in /lib/tls/libc.so.6[0x407e7974]
[52] ?? in amule [0x806ae41]
---------------------------------------------------------------------------------------------------

What can i do?

Thx Bishop79
« Last Edit: February 04, 2006, 03:43:31 PM by Bishop79 »
Logged

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« Reply #1 on: February 04, 2006, 03:45:33 PM »

I blame your wx, could you please try to upgrade to 2.6.2 [with Unicode-Patch for NLS]?
Logged

Bishop79

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 7
upgrade?
« Reply #2 on: February 04, 2006, 04:33:24 PM »

how I can do this?I am a Linux greenhorn... :]
Logged

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« Reply #3 on: February 04, 2006, 04:46:49 PM »

I'm a bit unsure, wheter this is really the source of the error. (My approach to fix it would be compiling everything from source after patching, but I don't know whether it's really neccesary.) Could you please describe the circumstances of the crash? (Just after starting? After some hours?...)
Logged

Bishop79

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 7
Re: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« Reply #4 on: February 04, 2006, 05:25:20 PM »

I start him, he logs in and then falls away at once. :(
Logged

Bishop79

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 7
Re: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« Reply #5 on: February 04, 2006, 05:28:14 PM »

Quote
Originally posted by Bishop79
I start him, he logs in and then falls away at once. :(
Wir können natürlich auch deutch sprechen?  ;)
Logged

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« Reply #6 on: February 04, 2006, 05:35:26 PM »

Let's stick with English, it's the English forum here.

It's the error I thought about. A workaround is to open your ~/.aMule/amule.conf and change 'language=xxx' to 'language=en_US'.
NLS (native language support) in combination with Unicode does not work with unpatched wxGTK 2.6.2 thus you either have to compile a new wxGTK with the applied patch or you have to use aMule in English.
Logged

Bishop79

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 7
Re: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« Reply #7 on: February 04, 2006, 06:19:24 PM »

Quote
Originally posted by wuischke
A workaround is to open your ~/.aMule/amule.conf and change 'language=xxx' to 'language=en_US'.
I well, with that would not have any problem but I can not find the list and the file. Where is this installed more normally wisely? I thought into the Root list.  ?(
Logged

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« Reply #8 on: February 04, 2006, 06:48:57 PM »

OK, sorry for my insufficient explanation.

~/.aMule/amule.conf is the path to your config file. '~' is your /home/username folder. .aMule with the dot in front of the name is a hidden directory on Unix.
Use alt+f2 to open the 'execute' dialog. There you type 'gedit ~/.aMule/amule.conf' (replace gedit with kwrite on KDE)  to open the file with an editor.
Then you search for the line 'Language=de_DE' (or empty) and replace it with 'Language=en_US'.
Save the file and try again to start amule. :)
Logged

Bishop79

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 7
Re: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« Reply #9 on: February 05, 2006, 04:11:37 PM »

I must have inserted the line in the file. He still falls away now, however.


----------------------------=| BACKTRACE FOLLOWS: |=----------------------------Current version is: aMule 2.1.0 using wxGTK2 v2.6.2 (Unicoded)
Running on: Linux 2.6.8-2-386 i686

[2] ?? in amule [0x8075881]
[3] wxFatalSignalHandler in /usr/lib/libwx_baseu-2.6.so.0[0x4067f278]
[4] ?? in [0xffffe420]
[5] ?? in amule [0x81ee98a]
[6] ?? in amule [0x8076023]
[7] wxAppConsole::HandleEvent(wxEvtHandler*, void (wxEvtHandler::*)(wxEvent&), wxEvent&) const in /usr/lib/libwx_baseu-2.6.so.0[0x405c3d98]
[8] wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) in /usr/lib/libwx_baseu-2.6.so.0[0x40678a90]
[9] wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*) in /usr/lib/libwx_baseu-2.6.so.0[0x40677edf]
[10] wxEvtHandler::ProcessEvent(wxEvent&) in /usr/lib/libwx_baseu-2.6.so.0[0x40678c30]
[11] wxEvtHandler::ProcessPendingEvents() in /usr/lib/libwx_baseu-2.6.so.0[0x406789c6]
[12] wxAppConsole::ProcessPendingEvents() in /usr/lib/libwx_baseu-2.6.so.0[0x405c3d06]
[13] ?? in /usr/lib/libwx_gtk2u_core-2.6.so.0 [0x402a39aa]
[14] ?? in /usr/lib/libglib-2.0.so.0 [0x40d4c583]
[15] ?? in /usr/lib/libglib-2.0.so.0 [0x40d49582]
[16] g_main_context_dispatch in /usr/lib/libglib-2.0.so.0[0x40d4a5f8]
[17] ?? in /usr/lib/libglib-2.0.so.0 [0x40d4a930]
[18] g_main_loop_run in /usr/lib/libglib-2.0.so.0[0x40d4aed3]
[19] gtk_main in /usr/lib/libgtk-x11-2.0.so.0[0x40a29bb3]
[20] wxEventLoop::Run() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x402bee88]
[21] wxAppBase::MainLoop() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x40354073]
[22] wxAppBase::OnRun() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x403541da]
[23] wxEntry(int&, wchar_t**) in /usr/lib/libwx_baseu-2.6.so.0[0x4060e01e]
[24] wxEntry(int&, char**) in /usr/lib/libwx_baseu-2.6.so.0[0x4060e11d]
[25] ?? in amule [0x8155b20]
[26] __libc_start_main in /lib/tls/libc.so.6[0x407e7974]
[27] ?? in amule [0x806ae41]
Logged

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« Reply #10 on: February 05, 2006, 04:23:09 PM »

cat ~/.aMule/amule.conf | grep Language
What's the output?
Logged

Bishop79

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 7
Re: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« Reply #11 on: February 05, 2006, 05:23:47 PM »

Language=en_US
Logged

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: aMule crash 2.1.0 Debian 3.0r4 [2.6.8.]
« Reply #12 on: February 05, 2006, 05:45:20 PM »

Strange...either it's me being dumb or the error is somewhere else...
Could you please try to compile (and install) and then recompile aMule?

Some usefull links:
http://www.amule.org/wiki/index.php/Wx-cvs
http://www.amule.org/wiki/index.php/Compilation_Installation

Sorry that this didn't help and you now have to compile. :(
Take it as something everybody should learn one day.
Logged